MatcherHelper
Date: 2013-01-10

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.ivy.plugins.matcher
Class MatcherHelper

    java.lang.Object
      org.apache.ivy.plugins.matcher.MatcherHelper

    public final class MatcherHelper

extends java.lang.Object

Set of helper methods to match ModuleId, ModuleRevisionId, ArtifactId

Method Summary
`static boolean` | `isExact(PatternMatcher m, ModuleId exp)`
`static boolean` | `isExact(PatternMatcher m, ModuleRevisionId exp)`
`static boolean` | `isExact(PatternMatcher m, java.lang.String exp)`
`static boolean` | `matches(PatternMatcher m, ArtifactId exp, ArtifactId aid)`
`static boolean` | `matches(PatternMatcher m, ModuleId exp, ModuleId mid)`
`static boolean` | `matches(PatternMatcher m, ModuleRevisionId exp, ModuleRevisionId mrid)`
`static boolean` | `matches(PatternMatcher m, java.lang.String expression, java.lang.String input)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### matches

    public static boolean matches(PatternMatcher m,
                                  java.lang.String expression,
                                  java.lang.String input)

### matches

    public static boolean matches(PatternMatcher m,
                                  ModuleId exp,
                                  ModuleId mid)

### matches

    public static boolean matches(PatternMatcher m,
                                  ModuleRevisionId exp,
                                  ModuleRevisionId mrid)

### matches

    public static boolean matches(PatternMatcher m,
                                  ArtifactId exp,
                                  ArtifactId aid)

### isExact

    public static boolean isExact(PatternMatcher m,
                                  ModuleRevisionId exp)

### isExact

    public static boolean isExact(PatternMatcher m,
                                  ModuleId exp)

### isExact

    public static boolean isExact(PatternMatcher m,
                                  java.lang.String exp)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD